.modal {
  position: absolute;
  top: calc((100% - 40%)/2);
  left: calc((100vw - 50vw)/2);

  display: flex;
  flex-direction: column;
  justify-content: space-between;

  padding: 5px;
  width: 50vw;
  height: 40%;
  border: 1px solid black;
  border-radius: 3px;
  background-color: whitesmoke;

  &__container {
    position: absolute;
    height: 100vh;
    width: 100vw;
    background-color: rgba(0,0,0,0.7);
  }

  &__close-btn-container {
    position: absolute;
    right: 5px;
  }
}